net.sf.jasperreports.crosstabs.fill

## Class IconLabelFillObjectFactory

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractObjectFactory
  - - net.sf.jasperreports.engine.fill.JRFillObjectFactory
    - - net.sf.jasperreports.crosstabs.fill.IconLabelFillObjectFactory

- All Implemented Interfaces:
    JRVisitor

      public class IconLabelFillObjectFactory
      extends JRFillObjectFactory

  Version:
    $Id: IconLabelFillObjectFactory.java 6451 2013-08-30 11:20:08Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.fill.JRFillObjectFactory

      `JRFillObjectFactory.StylesList`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillObjectFactory

      `filler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconLabelFillObjectFactory(JRFillObjectFactory parent, JRFillExpressionEvaluator expressionEvaluator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerDelayedStyleSetter(JRStyleSetter delayedSetter, JRStyleContainer styleContainer)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillObjectFactory

      `checkUnresolvedReferences, collectRequestedStyles, collectUsedStyles, getAreaPlot, getBand, getBar3DPlot, getBarPlot, getBidimensionalData, getBubblePlot, getCandlestickPlot, getCategoryDataset, getCategorySeries, getChartAxis, getConditionalStyle, getCrosstabDataset, getCrosstabParameter, getDataset, getDatasetRun, getDatasets, getDefaultStyleProvider, getElementDatasets, getExpression, getExpressionEvaluator, getField, getFiller, getGanttDataset, getGanttSeries, getGroup, getHighLowDataset, getHighLowPlot, getLinePlot, getMeterPlot, getMultiAxisPlot, getParameter, getPie3DPlot, getPieDataset, getPiePlot, getPieSeries, getReportTemplate, getReturnValue, getScatterPlot, getSection, getStyle, getSubreportReturnValue, getThermometerPlot, getTimePeriodDataset, getTimePeriodSeries, getTimeSeries, getTimeSeriesDataset, getTimeSeriesPlot, getTrackedDatasetRuns, getValueDataset, getVariable, getXyDataset, getXySeries, getXyzDataset, getXyzSeries, registerDatasetRun, registerDelayedStyleSetter, registerElementDataset, renameExistingStyle, setStyle, setStyles, trackDatasetRuns, useDelayedStyle, visitBreak, visitChart, visitComponentElement, visitCrosstab, visitElementGroup, visitEllipse, visitFrame, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractObjectFactory

      `get, getExpression, getFont, getVisitResult, put, setVisitResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IconLabelFillObjectFactory

          public IconLabelFillObjectFactory(JRFillObjectFactory parent,
                                    JRFillExpressionEvaluator expressionEvaluator)

  - ### Method Detail

    - #### registerDelayedStyleSetter

          public void registerDelayedStyleSetter(JRStyleSetter delayedSetter,
                                        JRStyleContainer styleContainer)

      Overrides:
        `registerDelayedStyleSetter` in class `JRFillObjectFactory`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com